org.apache.poi.hemf.record.emfplus

## Enum HemfPlusRegion.EmfPlusRegionNodeDataType

- java.lang.Object
- - java.lang.Enum<HemfPlusRegion.EmfPlusRegionNodeDataType>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusRegion.EmfPlusRegionNodeDataType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusRegion.EmfPlusRegionNodeDataType>
  Enclosing class:
    HemfPlusRegion

      public static enum HemfPlusRegion.EmfPlusRegionNodeDataType
      extends java.lang.Enum<HemfPlusRegion.EmfPlusRegionNodeDataType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND` Specifies a region node with child nodes.
    `COMPLEMENT` Specifies a region node with child nodes.
    `EMPTY` Specifies a region node with no child nodes.
    `EXCLUDE` Specifies a region node with child nodes.
    `INFINITE` Specifies a region node with no child nodes, and its bounds are not defined.
    `OR` Specifies a region node with child nodes.
    `PATH` Specifies a region node with no child nodes.
    `RECT` Specifies a region node with no child nodes.
    `XOR` Specifies a region node with child nodes.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.function.Supplier<HemfPlusRegion.EmfPlusRegionNodeData>` | `constructor`
    `int` | `id`
    `java.util.function.BiConsumer<java.awt.geom.Area,java.awt.geom.Area>` | `operation`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusRegion.EmfPlusRegionNodeDataType` | `valueOf(int id)`
    `static HemfPlusRegion.EmfPlusRegionNodeDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusRegion.EmfPlusRegionNodeDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AND

          public static final HemfPlusRegion.EmfPlusRegionNodeDataType AND

      Specifies a region node with child nodes. A Boolean AND operation SHOULD be applied to the left and right child nodes specified by an EmfPlusRegionNodeChildNodes object

    - #### OR

          public static final HemfPlusRegion.EmfPlusRegionNodeDataType OR

      Specifies a region node with child nodes. A Boolean OR operation SHOULD be applied to the left and right child nodes specified by an EmfPlusRegionNodeChildNodes object.

    - #### XOR

          public static final HemfPlusRegion.EmfPlusRegionNodeDataType XOR

      Specifies a region node with child nodes. A Boolean XOR operation SHOULD be applied to the left and right child nodes specified by an EmfPlusRegionNodeChildNodes object.

    - #### EXCLUDE

          public static final HemfPlusRegion.EmfPlusRegionNodeDataType EXCLUDE

      Specifies a region node with child nodes. A Boolean operation, defined as "the part of region 1 that is excluded from region 2", SHOULD be applied to the left and right child nodes specified by an EmfPlusRegionNodeChildNodes object.

    - #### COMPLEMENT

          public static final HemfPlusRegion.EmfPlusRegionNodeDataType COMPLEMENT

      Specifies a region node with child nodes. A Boolean operation, defined as "the part of region 2 that is excluded from region 1", SHOULD be applied to the left and right child nodes specified by an EmfPlusRegionNodeChildNodes object.

    - #### RECT

          public static final HemfPlusRegion.EmfPlusRegionNodeDataType RECT

      Specifies a region node with no child nodes. The RegionNodeData field SHOULD specify a boundary with an EmfPlusRectF object.

    - #### PATH

          public static final HemfPlusRegion.EmfPlusRegionNodeDataType PATH

      Specifies a region node with no child nodes. The RegionNodeData field SHOULD specify a boundary with an EmfPlusRegionNodePath object

    - #### EMPTY

          public static final HemfPlusRegion.EmfPlusRegionNodeDataType EMPTY

      Specifies a region node with no child nodes. The RegionNodeData field SHOULD NOT be present.

    - #### INFINITE

          public static final HemfPlusRegion.EmfPlusRegionNodeDataType INFINITE

      Specifies a region node with no child nodes, and its bounds are not defined.

  - ### Field Detail

    - #### id

          public final int id

    - #### constructor

          public final java.util.function.Supplier<HemfPlusRegion.EmfPlusRegionNodeData> constructor

    - #### operation

          public final java.util.function.BiConsumer<java.awt.geom.Area,java.awt.geom.Area> operation

  - ### Method Detail

    - #### values

          public static HemfPlusRegion.EmfPlusRegionNodeDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusRegion.EmfPlusRegionNodeDataType c : HemfPlusRegion.EmfPlusRegionNodeDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusRegion.EmfPlusRegionNodeDataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusRegion.EmfPlusRegionNodeDataType valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.